Bug 642275 (CVE-2010-3175)

Summary: CVE-2010-3175 Mozilla miscellaneous memory safety hazards
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101019,reported=20101008,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4/firefox=affected,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-6/thunderbird=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 17:39:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josh Bressers 2010-10-12 10:16:44 EDT
Mozilla developers identified and fixed several memory safety bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these bugs showed evidence of memory corruption under certain
circumstances, and we presume that with enough effort at least some of
these could be exploited to run arbitrary code.

Gary Kwong, Martijn Wargers and Siddharth Agarwal reported memory safety
problems that affected Firefox 3.6 only.
Comment 1 Josh Bressers 2010-10-19 17:56:15 EDT
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-64.html
Comment 2 errata-xmlrpc 2010-10-19 19:21:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html
Comment 3 errata-xmlrpc 2010-11-10 13:58:41 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html
Comment 4 errata-xmlrpc 2010-11-17 10:19:48 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0896 https://rhn.redhat.com/errata/RHSA-2010-0896.html